/* fix for home page containers */
body[data-page="home"] #common-home.container-fluid{
    padding-left: 0;
	padding-right: 0;
    max-width: 100% !important;
}
body[data-page="home"] .pr-module,
body[data-page="home"] .custom-gallery,
body[data-page="home"] .custom-yt-gallery,
body[data-page="home"] .main-slideshow,
body[data-page="home"] .pr-advantage,
body[data-page="home"] .pr-banner-plus,
body[data-page="home"] .pr-module-html{
    margin-left: auto;
    margin-right: auto;
    padding-left: calc(var(--bs-gutter-x) * .5);
    padding-right: calc(var(--bs-gutter-x) * .5);
}
body[data-page="home"] .pr-advantage,
body[data-page="home"] .pr-banner-plus{
    --mp-bs-gutter-x: 0.75rem;
    padding-left: calc(var(--mp-bs-gutter-x) - (var(--bs-gutter-x) * .5));
    padding-right: calc(var(--mp-bs-gutter-x) - (var(--bs-gutter-x) * .5));
}
body[data-page="home"] .pr-module-html{
    max-width: calc(100% - 1.5rem);
}

@media (min-width: 1200px) {
    body[data-page="home"] .pr-module,
    body[data-page="home"] .custom-gallery,
    body[data-page="home"] .custom-yt-gallery,
    body[data-page="home"] .main-slideshow,
    body[data-page="home"] .pr-advantage,
    body[data-page="home"] .pr-banner-plus,
    body[data-page="home"] .pr-module-html{
        max-width: 1140px;
    }
    body[data-page="home"] .pr-module-html{
        max-width: calc(1140px - 1.5rem);
    }
}
@media (min-width: 1400px) {
    body[data-page="home"] .pr-module,
    body[data-page="home"] .custom-gallery,
    body[data-page="home"] .custom-yt-gallery,
    body[data-page="home"] .main-slideshow,
    body[data-page="home"] .pr-advantage,
    body[data-page="home"] .pr-banner-plus,
    body[data-page="home"] .pr-module-html{
        max-width: 1320px; 
    }
    body[data-page="home"] .pr-module-html{
        max-width: calc(1320px - 1.5rem);
    }
}

@media (min-width: 1600px) {
	body[data-page="home"] #common-home.container-fluid{
		max-width: 1920px !important;
	}
    body[data-page="home"] .pr-module,
    body[data-page="home"] .custom-gallery,
    body[data-page="home"] .custom-yt-gallery,
    body[data-page="home"] .main-slideshow,
    body[data-page="home"] .pr-advantage,
    body[data-page="home"] .pr-banner-plus,
    body[data-page="home"] .pr-module-html{
        max-width: 1600px;
    }
    body[data-page="home"] .pr-module-html{
        max-width: calc(1600px - 1.5rem);
    }
}

/* hide browser video buttons */
#detach-button-host{
    display: none!important;
    visibility: hidden!important;
}

/* hero banner -- full width video */
.hero-banner{
    display: block;
    width: 100%;
    max-width: 100%;
    position: relative;
    overflow: hidden;
}
.hero-banner .swiper-button-next,
.hero-banner .swiper-button-prev{
    gap: 0;
    height: 2.5rem !important;
    min-width: 2.5rem !important;
    border-radius: 50%;
    background: #fff;
    opacity: .3;
}
.hero-banner .swiper-button-next:hover,
.hero-banner .swiper-button-prev:hover{
    opacity: .5;
}
.hero-banner .swiper-button-next svg,
.hero-banner .swiper-button-prev svg{
    height: 12px;
    width: 6px;
    -webkit-transform: none!important;
        -ms-transform: none!important;
            transform: none!important;
}
.hero-banner .swiper-button-next svg path,
.hero-banner .swiper-button-prev svg path{
    stroke: #000 !important;
}
.hero-banner .swiper-button-next:after,
.hero-banner .swiper-button-prev:after{
    display: none;
}
.hero-banner .mp4-video-swiper {
    width: 100%;
    height: 763px;
}
.hero-banner .hero-media-container {
    position: relative;
    width: 100%;
    height: 100%;
}
.hero-banner .hero-media-container img, 
.hero-banner .hero-media-container video {
    position: absolute;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
    -o-object-position: center;
       object-position: center;
}
.hero-banner .placeholder-img {
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    -webkit-transition: opacity 0.5s ease;
    -o-transition: opacity 0.5s ease;
    transition: opacity 0.5s ease;
}
.hero-banner .lazy-video {
    z-index: 1;
    opacity: 0;
    -webkit-transition: opacity 0.5s ease;
    -o-transition: opacity 0.5s ease;
    transition: opacity 0.5s ease;
}
.hero-banner .lazy-video.is-playing {
    z-index: 3;
    opacity: 1;
}
.hero-banner .lazy-video.is-playing + .placeholder-img {
    opacity: 0;
}
.hero-banner .slide-content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding-bottom: 74px;
    z-index: 4;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    color: #fff;
}
.hero-banner .slide-content-inner{
    margin: 0 auto;
    text-align: center;
    max-width: 1200px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    gap: 20px;
}
.hero-banner .hero-buttons{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1.5rem;
    margin-top: 1.5rem;
}
.hero-banner .hero-btn{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: .75rem 1.5rem;
    border-radius: .5rem;
    gap: .5rem;
    cursor: pointer;
    transition: all var(--pr-main-transition);
}
.hero-banner .hero-btn-text{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
}
.hero-banner .hero-btn.hero-btn-with-icon{
    gap: .75rem;
    padding: 0;
}
.hero-banner .hero-btn.hero-btn-with-icon .hero-btn-img{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
}
.hero-banner .hero-btn-img img{
    width: 100%;
    height: auto;
    max-height: 50px;
}
.hero-btn-main-text{
    font-size: 16px;
    line-height: 22px;
}
.hero-btn-additional-text{
    font-size: 14px;
    line-height: 19px;
    opacity: .8;
}
.hero-btn.with-attention-animation{
    background-size: 200% 100%, auto, 100% 2px, 100% 2px, 100% 1px, 100% 1px;
    background-image: linear-gradient(45deg, rgba(255, 255, 255, .0) 30%, rgba(255, 255, 255, .8), rgba(255, 255, 255, .0) 70%);
    background-repeat: no-repeat;
    background-position: -200% 0, 0 0, 0 0, 0 100%, 0 4px, 0 calc(100% - 4px);
    animation: shine 5s ease reverse infinite;
}

@keyframes shine {
    0% {
        background-position: -200% 0, 0 0, 0 0, 0 100%, 0 4px, 0 calc(100% - 4px);
    }
    20% {
        background-position: 200% 0, 0 0, 0 0, 0 100%, 0 4px, 0 calc(100% - 4px);
    }
    100% {
        background-position: 500% 0, 0 0, 0 0, 0 100%, 0 4px, 0 calc(100% - 4px);
    }
    
}
.hero-banner .slide-content-inner h2,
.hero-banner .slide-content-inner .descr{
    line-height: normal;
    color: #fff;
}
.hero-banner .slide-content-inner.with-text-shadow h2,
.hero-banner .slide-content-inner.with-text-shadow .descr{
    text-shadow: 0 5px 18px rgba(0, 0, 0, 0.3);
}
.hero-banner .slide-content-inner h2 {
    font-size: 48px;
}

.hero-banner .slide-content-inner .descr {
    font-size: 24px;
}
.hero-banner .hero-scroll-down {
    position: absolute;
    bottom: 30px;
    left: 50%;
    -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
            transform: translateX(-50%);
    z-index: 10;
    background: none;
    border: none;
    cursor: pointer;
    outline: none;
}
.hero-banner .mouse-icon {
    width: 26px;
    height: 42px;
    border: 2px solid #fff;
    border-radius: 15px;
    display: block;
    position: relative;
}
.hero-banner .mouse-icon::after {
    content: '';
    width: 4px;
    height: 8px;
    background: #fff;
    position: absolute;
    top: 8px;
    left: 50%;
    margin-left: -2px;
    border-radius: 2px;
    -webkit-animation: mouse-wheel 2s infinite;
            animation: mouse-wheel 2s infinite;
}

@-webkit-keyframes mouse-wheel {
    0% { opacity: 1; -webkit-transform: translateY(0); transform: translateY(0); }
    100% { opacity: 0; -webkit-transform: translateY(15px); transform: translateY(15px); }
}

@keyframes mouse-wheel {
    0% { opacity: 1; -webkit-transform: translateY(0); transform: translateY(0); }
    100% { opacity: 0; -webkit-transform: translateY(15px); transform: translateY(15px); }
}

/* hero parallax */
.hero-banner.hero-parallax{
    height: auto;
}
.hero-banner.hero-parallax .parallax-item{
    height: 100%;
    display: block;
    position: relative;
    overflow: hidden;
}
.hero-banner.hero-parallax .hero-media-container img,
.hero-banner.hero-parallax .hero-media-container video{
    height: max-content;
}
.hero-banner.hero-parallax .hero-banner .placeholder-img{
    height: max-content;
}
.hero-banner.hero-parallax .hero-media-container{
    position: absolute;
}
.hero-banner.hero-parallax .slide-content{
    padding: 4rem 0;
    position: relative;
    min-height: 600px;
}

/* custom gallery */
.custom-gallery-container{
    padding: 5rem 0 3.5rem;
}
.custom-gallery-title{
    text-align: center;
}
.custom-gallery-description{
    text-align: center;
    max-width: 1140px;
    margin: 0 auto;
}
.custom-gallery-container.certs{
    background: rgb(255, 255, 255);
}
.dark-theme .custom-gallery-container.certs{
    background-color: rgb(29, 29, 29);
}

.custom-gallery-img{
    border: 3px solid #ccc;
}
.custom-gallery-img:hover{
    border-color: var(--pr-primary-dark-color);
}


/* custom yt gallery */
.custom-yt-gallery-container{
    padding: 5rem 0 3.5rem;
    background-color: rgb(245, 245, 245);
    background-image: url('/image/yt_block_bg.jpg');
    background-size: cover;
    background-repeat: no-repeat;
}
.custom-yt-gallery-title{
    text-align: center;
}
.custom-yt-gallery-description{
    text-align: center;
    max-width: 1140px;
    margin: 0 auto;   
}
.custom-yt-gallery-title,
.custom-yt-gallery-description,
.custom-yt-gallery-card-title{
    color: rgb(18, 23, 21);
}
.custom-yt-gallery-card-image{
    border-radius: .75rem;
    overflow: hidden;
}
.custom-yt-gallery-card-image img{
    transition: all var(--pr-main-transition);
}
.custom-yt-gallery-card:hover .custom-yt-gallery-card-image>img{
    transform: scale(1.05);
}
.custom-yt-gallery-card-icon{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
.custom-yt-gallery-card-icon img{
    height: 50px;
    width: auto;
}
.custom-yt-gallery-btn{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: .75rem 1.5rem;
    border-radius: .5rem;
    gap: .5rem;
    cursor: pointer;
    transition: all var(--pr-main-transition);
    color: rgb(255, 255, 255);
    background-color: rgb(244, 131, 36);
    border: 1px solid rgb(244, 131, 36);
    background-size: 200% 100%, auto, 100% 2px, 100% 2px, 100% 1px, 100% 1px;
    background-image: linear-gradient(45deg, rgba(255, 255, 255, .0) 30%, rgba(255, 255, 255, .8), rgba(255, 255, 255, .0) 70%);
    background-repeat: no-repeat;
    background-position: -200% 0, 0 0, 0 0, 0 100%, 0 4px, 0 calc(100% - 4px);
    animation: shine 5s ease reverse infinite;
    margin: 1.5rem auto;
    width: max-content;
}
.custom-yt-gallery-btn:hover{
    color: rgb(255, 255, 255);
    background-color: rgb(215, 100, 2);
    border-color: rgb(215, 100, 2);
}
.custom-yt-gallery-btb-text{
    font-size: 16px;
    line-height: 22px;
}


@media screen and (max-width: 1399px) {
    .hero-banner .slide-content-inner{
        max-width: 1000px;
    }
    .hero-banner .slide-content-inner h2{
        font-size: 38px;
    }
}

@media screen and (max-width: 1199px) {
    .hero-banner .slide-content-inner{
        max-width: 800px;
    }
    .hero-banner .slide-content-inner h2{
        font-size: 32px;
    }
    .hero-banner .slide-content-inner .descr {
        font-size: 20px;
    }
    .hero-banner .mp4-video-swiper {
        height: 650px;
    }
}
@media screen and (max-width: 991px) {
    .hero-banner .slide-content-inner{
        max-width: calc(100% - 120px);
    }
    .hero-banner .slide-content-inner h2{
        font-size: 24px;
    }
    .hero-banner .slide-content-inner .descr {
        font-size: 16px;
    }
    .hero-banner .hero-buttons{
        gap: 1rem;
        margin-top: 1rem;
    }
    .hero-banner .hero-btn,
    .custom-yt-gallery-btn{
        padding: .5rem 1rem;
    }
    .hero-banner .hero-btn.hero-btn-with-icon{
        padding: 0;
        gap: .5rem;
        text-align: left;
    }
    .hero-banner .hero-btn.hero-btn-with-icon .hero-btn-img{
        height: 40px;
    }
    .hero-banner .hero-btn-img img{
        max-height: 40px;
    }
    .hero-banner .slide-content {
        padding-bottom: 126px;
    }
    .hero-banner .hero-scroll-down{
        bottom: 82px;
    }
    .hero-banner.hero-parallax .slide-content{
        padding: 2rem 1rem;
    }
    .hero-banner.hero-parallax .hero-media-container img,
    .hero-banner.hero-parallax .hero-media-container video{
        height: 100%;
    }
    .hero-banner.hero-parallax .slide-content-inner{
        max-width: 100%;
    }
}
@media screen and (max-width: 767px) {
    .hero-banner .hero-btn,
    .custom-yt-gallery-btn{
        width: 80%;
    }
    .custom-gallery-grid.row,
    .custom-yt-gallery-grid.row{
        --bs-gutter-x: .5rem;
    }
    .custom-gallery-container,
    .custom-yt-gallery-container{
        padding: 2rem 0 1.5rem;
    }
    .custom-gallery-img{
        border: none;
    }
    .hero-banner.hero-parallax .hero-btn{
        width: 100%;
    }
}